/* the POST-filter for the 404check addon.
   To use this, set the following in initfilt.80
  
     POST_FILTER='YES'
     POSTFILTER_NAME='CHK_POST '

  You'll also need to
   a) identify the CHK_INIT.CMD "daemon launcher" as a CUSTOM_INITS
   b) identify (and possibly modify) CHK_PRE.CMD as a prefilter.

*/
/********************* begin user configurable parameters ***************************************/

/* a space delimited list of host_nicknames that will NOT be subject to 404 checking */
no_check_hosts=''

/****************** end of user configurable parameters******************************************/

check_404_c:

parse arg amessage,source,request,sel,tempfile,servername,host_nickname, ,
           used_file,thereferer,reqid,response_status,privset,privsetsecret

parse var source serveraddr serverport transaction_number clientaddr clientport

parse var response_status istat amess

if istat<>404 then return ' '
if wordpos('SUPERUSER',privset' 'privsetsecret)>0 then return ''
if wordpos(translate(host_nickname),translate(no_check_Hosts))>0 then return ' '

/* this is a 404, tell the daemon about it */
dmnname='404CHECK_'||serverport
foo=sref_dmn_ask(dmnname,'TELL 'clientaddr,'NOWAIT')
return ' '

